SCSI_INTERNAL_DEVICE(9)

NAME
scsi_internal_device_block - internal function to put a device temporarily into the SDEV_BLOCK state

SYNOPSIS

int scsi_internal_device_block(struct scsi_device * sdev);

ARGUMENTS

sdev
    device to block

DESCRIPTION

Block request made by scsi lld's to temporarily stop all scsi commands on the specified device. Called from interrupt or normal process context.

Returns zero if successful or error if not

NOTES

This routine transitions the device to the SDEV_BLOCK state (which must be a legal transition). When the device is in this state, all commands are deferred until the scsi lld reenables the device with scsi_device_unblock or device_block_tmo fires.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT